Subject: more fancy ignoring of files ('if' in .gitignore?)

From: Sebastian Schubert <[email-masked]>
Date: Tue, 27 Oct 2009 10:30:50 +0100

Hi,

I would like to ignore files if certain other files are present. In my 
special case, I want to ignore foo.pdf and foo.eps if foo.fig is 
present (both pdf and eps are generated on the fly but don't belong 
into repository). In general, I do NOT want to ignore pdf or eps. There 
are a lot of foos so I would like to have a general solution.

Is this possible?

Cheers
Sebastian

PS: Please CC my personal email address.